summaryrefslogtreecommitdiff
path: root/tests/xfs/023
diff options
context:
space:
mode:
authorAmir Goldstein <amir73il@gmail.com>2019-01-27 09:50:56 +0200
committerEryu Guan <guaneryu@gmail.com>2019-02-03 17:16:44 +0800
commit6d17c9076fe9d97d2411e5909e6b255e5e721fc3 (patch)
tree07e0397cdeffb9a2588872fbc2feb6697f1fae83 /tests/xfs/023
parentf479ce6186d03cc93680b1ac073dd0dc31baba7e (diff)
common/dump: do not override test cleanup trap
Instead, call _cleanup_dump explicitly from a private _cleanup. Remove the generic cleanup bits (rm $tmp.*) from _cleanup_dump. The only xfs/dump test that had anything other than rm $tmp.* in _cleanup in xfs/287, but that was _scratch_unmount, which is not needed anyway. Signed-off-by: Amir Goldstein <amir73il@gmail.com> Reviewed-by: Eryu Guan <guaneryu@gmail.com> Signed-off-by: Eryu Guan <guaneryu@gmail.com>
Diffstat (limited to 'tests/xfs/023')
-rwxr-xr-xtests/xfs/0239
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/xfs/023 b/tests/xfs/023
index b0763402..f7805b85 100755
--- a/tests/xfs/023
+++ b/tests/xfs/023
@@ -15,7 +15,14 @@ echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=0 # success is the default!
-trap "rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ _cleanup_dump
+ cd /
+ rm -f $tmp.*
+}
# get standard environment, filters and checks
. ./common/rc